### Hierarchy

- unknown
  - DataAndSeqNrPair

## Index

### Constructors

- constructor

### Methods

- clearPayload
- getPayload
- getSequenceNumber
- hasPayload
- serializeBinary
- setPayload
- setSequenceNumber
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new DataAndSeqNrPair(): DataAndSeqNrPair

- Inherited from jspb.Message.constructor

  #### Returns DataAndSeqNrPair

## Methods

### clearPayload

- clearPayload(): DataAndSeqNrPair

- - Defined in src/protobuf/pb_pb.d.ts:2622

  #### Returns DataAndSeqNrPair

### getPayload

- getPayload(): undefined | StoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:2619

  #### Returns undefined | StoragePayload

### getSequenceNumber

- getSequenceNumber(): number

- - Defined in src/protobuf/pb_pb.d.ts:2624

  #### Returns number

### hasPayload

- hasPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2621

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2627

  #### Returns Uint8Array

### setPayload

- setPayload(value?: StoragePayload ): DataAndSeqNrPair

- - Defined in src/protobuf/pb_pb.d.ts:2620

  #### Parameters

  - ##### Optional value: StoragePayload

  #### Returns DataAndSeqNrPair

### setSequenceNumber

- setSequenceNumber(value: number): DataAndSeqNrPair

- - Defined in src/protobuf/pb_pb.d.ts:2625

  #### Parameters

  - ##### value: number

  #### Returns DataAndSeqNrPair

### toObject

- toObject(includeInstance?: boolean): DataAndSeqNrPair . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2628

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns DataAndSeqNrPair . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): DataAndSeqNrPair

- - Defined in src/protobuf/pb_pb.d.ts:2631

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DataAndSeqNrPair

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DataAndSeqNrPair, reader: BinaryReader): DataAndSeqNrPair

- - Defined in src/protobuf/pb_pb.d.ts:2632

  #### Parameters

  - ##### message: DataAndSeqNrPair

  - ##### reader: BinaryReader

  #### Returns DataAndSeqNrPair

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: DataAndSeqNrPair, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2630

  #### Parameters

  - ##### message: DataAndSeqNrPair

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: DataAndSeqNrPair ): DataAndSeqNrPair . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2629

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DataAndSeqNrPair

  #### Returns DataAndSeqNrPair . AsObject

Generated using TypeDoc